# Quotes API



<EndpointIndex
  names={[
  	'fetchQuote',
  	'fetchQuotesInATenant',
  	'createQuote',
  	'updateQuote',
  	'addElementsToQuote',
  	'removeElementsFromQuote',
  	'validateQuote',
  	'quoteValidatePreview',
  	'priceQuote',
  	'fetchPricedQuote',
  	'quotePricePreview',
  	'underwriteQuote',
  	'fetchUnderwritingFlagsForQuote',
  	'updateUnderwritingFlagsForQuote',
  	'addUnderwritingApproveFlagForQuote',
  	'addUnderwritingDeclineFlagForQuote',
  	'addUnderwritingBlockFlagForQuote',
  	'addUnderwritingRejectFlagForQuote',
  	'addUnderwritingInfoFlagForQuote',
  	'clearUnderwritingApproveFlagForQuote',
  	'clearUnderwritingDeclineFlagForQuote',
  	'clearUnderwritingBlockFlagForQuote',
  	'clearUnderwritingRejectFlagForQuote',
  	'clearUnderwritingInfoFlagForQuote',
  	'acceptQuote',
  	'issueQuote',
  	'copyQuote',
  	'createQuoteGroup',
  	'fetchQuoteGroup',
  	'fetchAllQuotesInGroup',
  	'fetchQuoteGroupByName',
  	'fetchQuoteGroupsInATenant',
  	'updateQuoteGroup',
  	'validateQuoteGroup',
  	'deleteQuoteGroup',
  	'assignQuoteGroup',
  	'addStaticDataForQuote',
  	'updateStaticDataForQuote',
  	'replaceAllStaticDataForQuote',
  	'fetchStaticDataForQuote',
  	'listStaticDataForQuote',
  	'updateBillingLevelForAQuote',
  	'addQuoteContact',
  	'deleteQuoteContact',
  	'fetchQuoteContacts',
  	'updateQuoteContact',
  	'fetchQuotesWithNumber',
  	'setQuoteNumber',
  	'generateQuoteNumber',
  	'resetQuote',
  	'refuseQuote',
  	'discardQuote',
  	'precommitQuote',
  ]}
  titles={{
  	fetchQuote: 'Fetch a Quote',
  	fetchQuotesInATenant: 'Fetch All Quotes',
  	createQuote: 'Create a Quote',
  	updateQuote: 'Update a Quote',
  	addElementsToQuote: 'Add Elements to a Quote',
  	removeElementsFromQuote: 'Remove Elements from a Quote',
  	validateQuote: 'Validate a Quote',
  	quoteValidatePreview:
  		'Get a stateless validation preview for a hypothetical quote',
  	priceQuote: 'Price a Quote',
  	fetchPricedQuote: 'Fetch Quote Pricing',
  	quotePricePreview: 'Get a stateless price preview for a hypothetical quote',
  	underwriteQuote: 'Underwrite a Quote',
  	fetchUnderwritingFlagsForQuote: 'Fetch Underwriting Flags',
  	updateUnderwritingFlagsForQuote: "Update a Quote's Underwriting Flags",
  	addUnderwritingApproveFlagForQuote:
  		'Add Approve Level Underwriting Flag for Quote',
  	addUnderwritingDeclineFlagForQuote:
  		'Add Decline Level Underwriting Flag for Quote',
  	addUnderwritingBlockFlagForQuote:
  		'Add Block Level Underwriting Flag for Quote',
  	addUnderwritingRejectFlagForQuote:
  		'Add Reject Level Underwriting Flag for Quote',
  	addUnderwritingInfoFlagForQuote:
  		'Add Info Level Underwriting Flag for Quote',
  	clearUnderwritingApproveFlagForQuote:
  		'Clear Approve Level Underwriting Flag for Quote',
  	clearUnderwritingDeclineFlagForQuote:
  		'Clear Decline Level Underwriting Flag for Quote',
  	clearUnderwritingBlockFlagForQuote:
  		'Clear Block Level Underwriting Flag for Quote',
  	clearUnderwritingRejectFlagForQuote:
  		'Clear Reject Level Underwriting Flag for Quote',
  	clearUnderwritingInfoFlagForQuote:
  		'Clear Info Level Underwriting Flag for Quote',
  	acceptQuote: 'Accept a Quote',
  	issueQuote: 'Issue a Quote',
  	copyQuote: 'Copy a Quote',
  	addStaticDataForQuote: 'Add Static Data to a Quote',
  	updateStaticDataForQuote: 'Update Static Data on a Quote',
  	replaceAllStaticDataForQuote: 'Replace All Static Data on a Quote',
  	fetchStaticDataForQuote: 'Fetch Static Data for a Quote',
  	listStaticDataForQuote: 'List Static Data for a Quote',
  	addQuoteContact: 'Add quote contact',
  	deleteQuoteContact: 'Delete quote contact',
  	fetchQuoteContacts: 'Fetch quote contacts',
  	updateQuoteContact: 'Update quote contact',
  	resetQuote: 'Reset a Quote',
  	refuseQuote: 'Refuse a Quote (Insured Declined Coverage)',
  	discardQuote: 'Discard a Quote',
  	precommitQuote: 'Invoke the precommit plugin for a draft quote',
  }}
/>

Main Flow [#main-flow]

Fetch [#fetch]

Fetch a Quote [#fetch-a-quote]

<ApiEndpoint name="fetchQuote" title="Fetch a Quote" />

Fetch All Quotes [#fetch-all-quotes]

<ApiEndpoint name="fetchQuotesInATenant" title="Fetch All Quotes" />

Fetch All Quotes for an Account [#fetch-all-quotes-for-an-account]

<ApiEndpoint name="fetchQuotesForAccount" title="Fetch All Quotes for an Account" />

<ApiSchema name="QuoteListResponse" />

<ApiSchema name="QuoteResponse" />

<Callout>
  The properties `accountLocator`, `productName`, `startTime`, `endTime`, `duration`, `durationBasis`, `currency`, `element`, and `timezone` will all be non-null for quotes that have been validated.
</Callout>

<ApiSchema name="ElementResponse" />

<ApiSchema name="PreferencesResponse" />

<ApiSchema name="InstallmentPreferences" />

Quote Creation [#quote-creation]

Create a Quote [#create-a-quote]

<ApiEndpoint name="createQuote" title="Create a Quote" />

<ApiSchema name="QuoteCreateRequest" />

<ApiSchema name="ElementCreateRequest" />

Update [#update]

Update a Quote [#update-a-quote]

<ApiEndpoint name="updateQuote" title="Update a Quote" />

<ApiSchema name="QuoteUpdateRequest" />

<ApiSchema name="ElementUpdateRequest" />

Add Elements to a Quote [#add-elements-to-a-quote]

<ApiEndpoint name="addElementsToQuote" title="Add Elements to a Quote" />

Remove Elements from a Quote [#remove-elements-from-a-quote]

<ApiEndpoint name="removeElementsFromQuote" title="Remove Elements from a Quote" />

Validation [#validation]

Validate a Quote [#validate-a-quote]

<ApiEndpoint name="validateQuote" title="Validate a Quote" />

<ApiSchema name="ValidationResult" />

<ApiSchema name="ValidationItemResponse" />

Get a stateless validation preview for a hypothetical quote [#get-a-stateless-validation-preview-for-a-hypothetical-quote]

<ApiEndpoint name="quoteValidatePreview" title="Get a stateless validation preview for a hypothetical quote" />

Pricing [#pricing]

Price a Quote [#price-a-quote]

<ApiEndpoint name="priceQuote" title="Price a Quote" />

Fetch Quote Pricing [#fetch-quote-pricing]

<ApiEndpoint name="fetchPricedQuote" title="Fetch Quote Pricing" />

<ApiSchema name="QuotePriceResponse" />

<ApiSchema name="ChargeResponse" />

Get a stateless price preview for a hypothetical quote [#get-a-stateless-price-preview-for-a-hypothetical-quote]

<ApiEndpoint name="quotePricePreview" title="Get a stateless price preview for a hypothetical quote" />

<span id="quoteUnderwritingApi" />

Underwriting [#underwriting]

Underwrite a Quote [#underwrite-a-quote]

<ApiEndpoint name="underwriteQuote" title="Underwrite a Quote" />

<ApiSchema name="QuoteUnderwritingResponse" />

Underwriting Flags [#underwriting-flags]

Fetch Underwriting Flags [#fetch-underwriting-flags]

<ApiEndpoint name="fetchUnderwritingFlagsForQuote" title="Fetch Underwriting Flags" />

<ApiSchema name="QuoteUnderwritingFlagsResponse" />

<ApiSchema name="UnderwritingFlagResponse" />

Update a Quote's Underwriting Flags [#update-a-quotes-underwriting-flags]

<ApiEndpoint name="updateUnderwritingFlagsForQuote" title="Update a Quote's Underwriting Flags" />

<ApiSchema name="UnderwritingFlagsUpdateRequest" />

<ApiSchema name="UnderwritingFlagCreateRequest" />

<ApiSchema name="UnderwritingTaskCreateRequest" />

Add Approve Level Underwriting Flag for Quote [#add-approve-level-underwriting-flag-for-quote]

<ApiEndpoint name="addUnderwritingApproveFlagForQuote" title="Add Approve Level Underwriting Flag for Quote" />

Add Decline Level Underwriting Flag for Quote [#add-decline-level-underwriting-flag-for-quote]

<ApiEndpoint name="addUnderwritingDeclineFlagForQuote" title="Add Decline Level Underwriting Flag for Quote" />

Add Block Level Underwriting Flag for Quote [#add-block-level-underwriting-flag-for-quote]

<ApiEndpoint name="addUnderwritingBlockFlagForQuote" title="Add Block Level Underwriting Flag for Quote" />

Add Reject Level Underwriting Flag for Quote [#add-reject-level-underwriting-flag-for-quote]

<ApiEndpoint name="addUnderwritingRejectFlagForQuote" title="Add Reject Level Underwriting Flag for Quote" />

Add Info Level Underwriting Flag for Quote [#add-info-level-underwriting-flag-for-quote]

<ApiEndpoint name="addUnderwritingInfoFlagForQuote" title="Add Info Level Underwriting Flag for Quote" />

Clear Approve Level Underwriting Flag for Quote [#clear-approve-level-underwriting-flag-for-quote]

<ApiEndpoint name="clearUnderwritingApproveFlagForQuote" title="Clear Approve Level Underwriting Flag for Quote" />

Clear Decline Level Underwriting Flag for Quote [#clear-decline-level-underwriting-flag-for-quote]

<ApiEndpoint name="clearUnderwritingDeclineFlagForQuote" title="Clear Decline Level Underwriting Flag for Quote" />

Clear Block Level Underwriting Flag for Quote [#clear-block-level-underwriting-flag-for-quote]

<ApiEndpoint name="clearUnderwritingBlockFlagForQuote" title="Clear Block Level Underwriting Flag for Quote" />

Clear Reject Level Underwriting Flag for Quote [#clear-reject-level-underwriting-flag-for-quote]

<ApiEndpoint name="clearUnderwritingRejectFlagForQuote" title="Clear Reject Level Underwriting Flag for Quote" />

Clear Info Level Underwriting Flag for Quote [#clear-info-level-underwriting-flag-for-quote]

<ApiEndpoint name="clearUnderwritingInfoFlagForQuote" title="Clear Info Level Underwriting Flag for Quote" />

Acceptance [#acceptance]

Accept a Quote [#accept-a-quote]

<ApiEndpoint name="acceptQuote" title="Accept a Quote" />

Issuance [#issuance]

Issue a Quote [#issue-a-quote]

<ApiEndpoint name="issueQuote" title="Issue a Quote" />

Copying [#copying]

Copy a Quote [#copy-a-quote]

<ApiEndpoint name="copyQuote" title="Copy a Quote" />

Create Quote From Policy [#create-quote-from-policy]

<ApiEndpoint name="createQuoteFromPolicy" />

Quote Groups [#quote-groups]

Create Quote Group [#create-quote-group]

<ApiEndpoint name="createQuoteGroup" />

<ApiSchema name="QuoteGroupCreateRequest" />

<ApiSchema name="QuoteGroupSettings" />

<ApiSchema name="QuoteGroupFieldEnforcementDeclaration" />

<ApiSchema name="QuoteGroupResponse" />

Fetch Quote Group [#fetch-quote-group]

<ApiEndpoint name="fetchQuoteGroup" />

Fetch All Quotes In Group [#fetch-all-quotes-in-group]

<ApiEndpoint name="fetchAllQuotesInGroup" />

<ApiSchema name="ListPageResponseQuote" />

Fetch Quote Group By Name [#fetch-quote-group-by-name]

<ApiEndpoint name="fetchQuoteGroupByName" />

Fetch Quote Groups In ATenant [#fetch-quote-groups-in-atenant]

<ApiEndpoint name="fetchQuoteGroupsInATenant" />

<ApiSchema name="ListPageResponseQuoteGroup" />

Update Quote Group [#update-quote-group]

<ApiEndpoint name="updateQuoteGroup" />

<ApiSchema name="QuoteGroupUpdateRequest" />

Validate Quote Group [#validate-quote-group]

<ApiEndpoint name="validateQuoteGroup" />

<ApiSchema name="QuoteGroupValidationResponse" />

Delete Quote Group [#delete-quote-group]

<ApiEndpoint name="deleteQuoteGroup" />

Assign Quote Group [#assign-quote-group]

<ApiEndpoint name="assignQuoteGroup" />

<ApiSchema name="QuoteGroupAssignmentRequest" />

Static Data [#static-data]

Add Static Data to a Quote [#add-static-data-to-a-quote]

<ApiEndpoint name="addStaticDataForQuote" title="Add Static Data to a Quote" />

Update Static Data on a Quote [#update-static-data-on-a-quote]

<ApiEndpoint name="updateStaticDataForQuote" title="Update Static Data on a Quote" />

<ApiSchema name="StaticDataUpdateRequest" />

Replace All Static Data on a Quote [#replace-all-static-data-on-a-quote]

<ApiEndpoint name="replaceAllStaticDataForQuote" title="Replace All Static Data on a Quote" />

Fetch Static Data for a Quote [#fetch-static-data-for-a-quote]

<ApiEndpoint name="fetchStaticDataForQuote" title="Fetch Static Data for a Quote" />

List Static Data for a Quote [#list-static-data-for-a-quote]

<ApiEndpoint name="listStaticDataForQuote" title="List Static Data for a Quote" />

<ApiSchema name="ListPageResponseStaticDataHistoryResponse" />

<ApiSchema name="StaticDataHistoryResponse" />

Documents [#documents]

Fetch Documents for a Quote [#fetch-documents-for-a-quote]

<ApiEndpoint name="fetchDocumentsForQuote" title="Fetch Documents for a Quote" />

<ApiSchema name="DocumentInstanceResponse" />

Billing [#billing]

Update Billing Level For AQuote [#update-billing-level-for-aquote]

<ApiEndpoint name="updateBillingLevelForAQuote" />

<ApiSchema name="UpdateBillingLevelRequest" />

Update the Delinquency Plan Assigned to a Quote [#update-the-delinquency-plan-assigned-to-a-quote]

<ApiEndpoint name="updateQuoteDelinquencyPlan" title="Update the Delinquency Plan Assigned to a Quote" />

Contacts [#contacts]

Add quote contact [#add-quote-contact]

<ApiEndpoint name="addQuoteContact" title="Add quote contact" />

<ApiSchema name="ContactRoles" />

Delete quote contact [#delete-quote-contact]

<ApiEndpoint name="deleteQuoteContact" title="Delete quote contact" />

Fetch quote contacts [#fetch-quote-contacts]

<ApiEndpoint name="fetchQuoteContacts" title="Fetch quote contacts" />

Update quote contact [#update-quote-contact]

<ApiEndpoint name="updateQuoteContact" title="Update quote contact" />

Numbering [#numbering]

Fetch Quotes With Number [#fetch-quotes-with-number]

<ApiEndpoint name="fetchQuotesWithNumber" />

Set Quote Number [#set-quote-number]

<ApiEndpoint name="setQuoteNumber" />

Generate Quote Number [#generate-quote-number]

<ApiEndpoint name="generateQuoteNumber" />

Holds [#holds]

Fetch Quote Holds [#fetch-quote-holds]

<ApiEndpoint name="fetchQuoteHolds" />

Atypical States and Operations [#atypical-states-and-operations]

Reset a Quote [#reset-a-quote]

<ApiEndpoint name="resetQuote" title="Reset a Quote" />

<ApiSchema name="ResetOptions" />

Refuse a Quote (Insured Declined Coverage) [#refuse-a-quote-insured-declined-coverage]

<ApiEndpoint name="refuseQuote" title="Refuse a Quote (Insured Declined Coverage)" />

Discard a Quote [#discard-a-quote]

<ApiEndpoint name="discardQuote" title="Discard a Quote" />

Invoke the precommit plugin for a draft quote [#invoke-the-precommit-plugin-for-a-draft-quote]

<ApiEndpoint name="precommitQuote" title="Invoke the precommit plugin for a draft quote" />


## API Reference

GET /policy/{tenantLocator}/quotes/{locator} — fetchQuote
Permissions: read
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Responses:
  200 QuoteResponse — OK

GET /policy/{tenantLocator}/quotes/list — fetchQuotesInATenant
Permissions: read, list
Parameters:
  tenantLocator (uuid, path, required)
  offset (integer, query)
  count (integer, query)
  extended (boolean, query) — When false, returns a bare array.
Responses:
  200 QuoteListResponse — OK

GET /policy/{tenantLocator}/accounts/{locator}/quotes/list — fetchQuotesForAccount
Permissions: read, list
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
  offset (integer, query)
  count (integer, query)
  includeStaticData (boolean, query)
  extended (boolean, query) — When false, returns a bare array.
Responses:
  200 QuoteListResponse — OK

POST /policy/{tenantLocator}/quotes — createQuote
Permissions: write, create
Parameters:
  tenantLocator (uuid, path, required)
Request body (QuoteCreateRequest):
Responses:
  200 QuoteResponse — OK

PATCH /policy/{tenantLocator}/quotes/{locator} — updateQuote
Permissions: write, update
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Request body (QuoteUpdateRequest):
Responses:
  200 QuoteResponse — OK

PUT /policy/{tenantLocator}/quotes/{locator}/elements — addElementsToQuote
Permissions: write, elements-add
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Request body (ElementCreateRequest[]):
Responses:
  200 QuoteResponse — OK

DELETE /policy/{tenantLocator}/quotes/{locator}/elements — removeElementsFromQuote
Permissions: write, elements-delete
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Request body (ulid[]):
Responses:
  200 QuoteResponse — OK

PATCH /policy/{tenantLocator}/quotes/{locator}/validate — validateQuote
Permissions: write, validate
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
  stateless (boolean, query)
Responses:
  200 QuoteResponse — OK

POST /policy/{tenantLocator}/quotes/validatePreview — quoteValidatePreview
Permissions: read
Parameters:
  tenantLocator (uuid, path, required)
Request body (QuoteCreateRequest):
Responses:
  200 QuoteResponse — OK

PATCH /policy/{tenantLocator}/quotes/{locator}/price — priceQuote
Permissions: write, price
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
  stateless (boolean, query)
Responses:
  200 QuotePriceResponse — OK

GET /policy/{tenantLocator}/quotes/{locator}/price — fetchPricedQuote
Permissions: read
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Responses:
  200 QuotePriceResponse — OK

POST /policy/{tenantLocator}/quotes/pricePreview — quotePricePreview
Permissions: read
Parameters:
  tenantLocator (uuid, path, required)
Request body (QuoteCreateRequest):
Responses:
  200 QuotePriceResponse — OK

PATCH /policy/{tenantLocator}/quotes/{locator}/underwrite — underwriteQuote
Permissions: write, underwrite
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
  stateless (boolean, query)
Responses:
  200 QuoteUnderwritingResponse — OK

GET /policy/{tenantLocator}/quotes/{locator}/underwritingFlags — fetchUnderwritingFlagsForQuote
Permissions: read
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Responses:
  200 QuoteUnderwritingFlagsResponse — OK

PATCH /policy/{tenantLocator}/quotes/{locator}/underwritingFlags — updateUnderwritingFlagsForQuote
Permissions: write
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Request body (UnderwritingFlagsUpdateRequest):
Responses:
  200 QuoteUnderwritingFlagsResponse — OK

POST /policy/{tenantLocator}/quotes/{locator}/underwritingFlags/approve — addUnderwritingApproveFlagForQuote
Permissions: write, approve-add
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Request body (UnderwritingFlagCreateRequest):
Responses:
  200 QuoteUnderwritingFlagsResponse — OK

POST /policy/{tenantLocator}/quotes/{locator}/underwritingFlags/decline — addUnderwritingDeclineFlagForQuote
Permissions: write, decline-add
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Request body (UnderwritingFlagCreateRequest):
Responses:
  200 QuoteUnderwritingFlagsResponse — OK

POST /policy/{tenantLocator}/quotes/{locator}/underwritingFlags/block — addUnderwritingBlockFlagForQuote
Permissions: write, block-add
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Request body (UnderwritingFlagCreateRequest):
Responses:
  200 QuoteUnderwritingFlagsResponse — OK

POST /policy/{tenantLocator}/quotes/{locator}/underwritingFlags/reject — addUnderwritingRejectFlagForQuote
Permissions: write, reject-add
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Request body (UnderwritingFlagCreateRequest):
Responses:
  200 QuoteUnderwritingFlagsResponse — OK

POST /policy/{tenantLocator}/quotes/{locator}/underwritingFlags/info — addUnderwritingInfoFlagForQuote
Permissions: write, info-add
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Request body (UnderwritingFlagCreateRequest):
Responses:
  200 QuoteUnderwritingFlagsResponse — OK

DELETE /policy/{tenantLocator}/quotes/{locator}/underwritingFlags/approve/{flagLocator} — clearUnderwritingApproveFlagForQuote
Permissions: write, approve-clear
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
  flagLocator (ulid, path, required)
Responses:
  200 QuoteUnderwritingFlagsResponse — OK

DELETE /policy/{tenantLocator}/quotes/{locator}/underwritingFlags/decline/{flagLocator} — clearUnderwritingDeclineFlagForQuote
Permissions: write, decline-clear
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
  flagLocator (ulid, path, required)
Responses:
  200 QuoteUnderwritingFlagsResponse — OK

DELETE /policy/{tenantLocator}/quotes/{locator}/underwritingFlags/block/{flagLocator} — clearUnderwritingBlockFlagForQuote
Permissions: write, block-clear
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
  flagLocator (ulid, path, required)
Responses:
  200 QuoteUnderwritingFlagsResponse — OK

DELETE /policy/{tenantLocator}/quotes/{locator}/underwritingFlags/reject/{flagLocator} — clearUnderwritingRejectFlagForQuote
Permissions: write, reject-clear
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
  flagLocator (ulid, path, required)
Responses:
  200 QuoteUnderwritingFlagsResponse — OK

DELETE /policy/{tenantLocator}/quotes/{locator}/underwritingFlags/info/{flagLocator} — clearUnderwritingInfoFlagForQuote
Permissions: write, info-clear
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
  flagLocator (ulid, path, required)
Responses:
  200 QuoteUnderwritingFlagsResponse — OK

PATCH /policy/{tenantLocator}/quotes/{locator}/accept — acceptQuote
Permissions: write, accept
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Responses:
  200 QuoteResponse — OK

PATCH /policy/{tenantLocator}/quotes/{locator}/issue — issueQuote
Permissions: write, issue
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Responses:
  200 QuoteResponse — OK

POST /policy/{tenantLocator}/quotes/{locator}/copy — copyQuote
Permissions: write, create
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Request body (QuoteGroupAssignmentRequest):
Responses:
  200 QuoteResponse — OK

POST /policy/{tenantLocator}/policies/{locator}/quote — createQuoteFromPolicy
Permissions: write, create-quote
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
  date (datetime, query)
  byIssuedTime (boolean, query)
  includeStaticData (boolean, query)
Responses:
  200 QuoteResponse — OK

POST /policy/{tenantLocator}/quotes/groups — createQuoteGroup
Permissions: write
Parameters:
  tenantLocator (uuid, path, required)
Request body (QuoteGroupCreateRequest):
Responses:
  200 QuoteGroupResponse — OK

GET /policy/{tenantLocator}/quotes/groups/{locator} — fetchQuoteGroup
Permissions: read
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Responses:
  200 QuoteGroupResponse — OK

GET /policy/{tenantLocator}/quotes/groups/{locator}/list — fetchAllQuotesInGroup
Permissions: read, list
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
  offset (integer, query)
  count (integer, query)
Responses:
  200 ListPageResponseQuote — OK

GET /policy/{tenantLocator}/quotes/groups/name/{name} — fetchQuoteGroupByName
Permissions: read
Parameters:
  tenantLocator (uuid, path, required)
  name (string, path, required)
Responses:
  200 QuoteGroupResponse — OK

GET /policy/{tenantLocator}/quotes/groups/list — fetchQuoteGroupsInATenant
Permissions: read, list
Parameters:
  tenantLocator (uuid, path, required)
  offset (integer, query)
  count (integer, query)
Responses:
  200 ListPageResponseQuoteGroup — OK

PATCH /policy/{tenantLocator}/quotes/groups/{locator} — updateQuoteGroup
Permissions: write
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Request body (QuoteGroupUpdateRequest):
Responses:
  200 QuoteGroupResponse — OK

PATCH /policy/{tenantLocator}/quotes/groups/{locator}/validate — validateQuoteGroup
Permissions: write, validate
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Responses:
  200 QuoteGroupValidationResponse — OK

DELETE /policy/{tenantLocator}/quotes/groups/{locator} — deleteQuoteGroup
Permissions: write
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Responses:
  200 — OK

PATCH /policy/{tenantLocator}/quotes/{locator}/assignToGroup — assignQuoteGroup
Permissions: write
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Request body (QuoteGroupAssignmentRequest):
Responses:
  200 QuoteResponse — OK

POST /policy/{tenantLocator}/quotes/{locator}/static — addStaticDataForQuote
Set the static extension data on a quote
Permissions: write, static-data-add
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Request body (map<string, object>):
Responses:
  200 QuoteResponse — OK

PATCH /policy/{tenantLocator}/quotes/{locator}/static — updateStaticDataForQuote
Updates some of the static data on a quote
Permissions: write, static-data-update
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Request body (StaticDataUpdateRequest):
Responses:
  200 QuoteResponse — OK

PUT /policy/{tenantLocator}/quotes/{locator}/static — replaceAllStaticDataForQuote
Replaces all of the static data on a quote
Permissions: write, static-data-add
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Request body (map<string, object>):
Responses:
  200 QuoteResponse — OK

GET /policy/{tenantLocator}/quotes/{locator}/static — fetchStaticDataForQuote
Gets static data for a quote
Permissions: read
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Responses:
  200 map<string, object> — OK

GET /policy/{tenantLocator}/quotes/{locator}/static/history/list — listStaticDataForQuote
Permissions: read
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
  offset (integer, query)
  count (integer, query)
Responses:
  200 ListPageResponseStaticDataHistoryResponse — OK

GET /document/{tenantLocator}/documents/quote/{locator}/list — fetchDocumentsForQuote
Permissions: read
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
  offset (integer, query)
  count (integer, query)
  extended (boolean, query) — When false, returns a bare array.
  suppressRenderingData (boolean, query)
Responses:
  200 DocumentListResponse — OK

PATCH /policy/{tenantLocator}/quotes/{locator}/billingLevel — updateBillingLevelForAQuote
Permissions: write
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Request body (UpdateBillingLevelRequest):
Responses:
  200 QuoteResponse — OK

PATCH /policy/{tenantLocator}/quotes/{locator}/delinquencyPlan — updateQuoteDelinquencyPlan
Permissions: write
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Request body (DelinquencyPlanUpdateRequest):
Responses:
  200 QuoteResponse — OK

POST /policy/{tenantLocator}/quotes/{quoteLocator}/contacts — addQuoteContact
Permissions: write
Parameters:
  tenantLocator (uuid, path, required)
  quoteLocator (ulid, path, required)
Request body (ContactRoles):
Responses:
  200 QuoteResponse — OK

DELETE /policy/{tenantLocator}/quotes/{quoteLocator}/contacts/{contactLocator} — deleteQuoteContact
Permissions: write
Parameters:
  tenantLocator (uuid, path, required)
  quoteLocator (ulid, path, required)
  contactLocator (ulid, path, required)
Responses:
  200 QuoteResponse — OK

GET /policy/{tenantLocator}/quotes/{quoteLocator}/contacts — fetchQuoteContacts
Permissions: write
Parameters:
  tenantLocator (uuid, path, required)
  quoteLocator (ulid, path, required)
Responses:
  200 ContactRoles[] — OK

PATCH /policy/{tenantLocator}/quotes/{quoteLocator}/contacts/{contactLocator} — updateQuoteContact
Permissions: write
Parameters:
  tenantLocator (uuid, path, required)
  quoteLocator (ulid, path, required)
  contactLocator (ulid, path, required)
Request body (ContactAssociationUpdateRequest):
Responses:
  200 QuoteResponse — OK

GET /policy/{tenantLocator}/quotes/numbers/{quoteNumber} — fetchQuotesWithNumber
Permissions: read, list
Parameters:
  tenantLocator (uuid, path, required)
  quoteNumber (string, path, required)
Responses:
  200 QuoteResponse[] — OK

POST /policy/{tenantLocator}/quotes/{locator}/number/set — setQuoteNumber
Permissions: write
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
  quoteNumber (string, query, required)
Responses:
  200 QuoteResponse — OK

POST /policy/{tenantLocator}/quotes/{locator}/number/generate — generateQuoteNumber
Permissions: write
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Responses:
  200 QuoteResponse — OK

GET /policy/{tenantLocator}/quotes/{locator}/holds — fetchQuoteHolds
Permissions: read
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Responses:
  200 EntityHold[] — OK

PATCH /policy/{tenantLocator}/quotes/{locator}/reset — resetQuote
Permissions: write, reset
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Request body (ResetOptions):
Responses:
  200 QuoteResponse — OK

PATCH /policy/{tenantLocator}/quotes/{locator}/refuse — refuseQuote
Permissions: write, refuse
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Responses:
  200 QuoteResponse — OK

PATCH /policy/{tenantLocator}/quotes/{locator}/discard — discardQuote
Permissions: write, discard
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Responses:
  200 QuoteResponse — OK

PATCH /policy/{tenantLocator}/quotes/{locator}/precommit — precommitQuote
Permissions: write, precommit
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Responses:
  200 QuoteResponse — OK

QuoteListResponse
Properties:
  listCompleted (boolean, required)
  items (QuoteResponse[], required)

QuoteResponse
Properties:
  locator (ulid, required)
  quoteState (Enum draft | validated | earlyUnderwritten | priced | underwritten | accepted | issued | underwrittenBlocked | declined | rejected | refused | discarded, required)
  productName (string, required)
  accountLocator (ulid, required)
  startTime (datetime)
  endTime (datetime)
  timezone (string)
  currency (string)
  underwritingStatus (string)
  expirationTime (datetime)
  element (ElementResponse, required) — The root element in the hierarchy
  preferences (PreferencesResponse) — Plan selections and setting overrides
  policyLocator (ulid)
  delinquencyPlanName (string)
  durationBasis (Enum years | months | weeks | days | hours)
  groupLocator (ulid)
  autoRenewalPlanName (string)
  billingLevel (Enum account | inherit | policy, required)
  region (string)
  quoteNumber (string)
  duration (number) — The duration of the prospective policy in units of durationBasis
  acceptedTime (datetime)
  issuedTime (datetime)
  validationResult (ValidationResult)
  quickQuoteLocator (ulid)
  contacts (ContactRoles[], required)
  anonymizedAt (datetime)
  invoiceFeeAmount (number)
  createdBy (uuid)
  createdAt (datetime)
  jurisdiction (string)
  producerCode (string)
  reservedPolicyNumber (string)
  static (map<string, object>)
  policyNumber (string)

ElementResponse
Properties:
  type (string, required)
  locator (ulid, required)
  parentLocator (ulid, required)
  elements (ElementResponse[])
  coverageTerms (map<string, object>)
  data (map<string, object>)
  staticLocator (ulid, required)
  originalEffectiveTime (datetime, required) — Indicates when the element was first added to the policy
  category (Enum product | coverage | exposure | exposureGroup | policyLine)

PreferencesResponse
Properties:
  installmentPreferences (InstallmentPreferences)

InstallmentPreferences
Properties:
  cadence (Enum none | fullPay | weekly | everyOtherWeek | monthly | quarterly | semiannually | annually | thirtyDays | everyNDays)
  anchorMode (Enum generateDay | termStartDay | dueDay)
  generateLeadDays (integer)
  dueLeadDays (integer)
  installmentWeights (number[], required)
  maxInstallmentsPerTerm (integer)
  installmentPlanName (string)
  anchorType (Enum none | dayOfMonth | anchorTime | dayOfWeek | weekOfMonth)
  dayOfMonth (integer)
  dayOfWeek (Enum monday | tuesday | wednesday | thursday | friday | saturday | sunday)
  weekOfMonth (Enum none | first | second | third | fourth | fifth)
  anchorTime (datetime)
  autopayLeadDays (number)

QuoteCreateRequest
Properties:
  productName (string, required)
  accountLocator (ulid, required)
  startTime (datetime, required)
  endTime (datetime)
  expirationTime (datetime)
  currency (string)
  timezone (string)
  jurisdiction (string)
  coverageTerms (map<string, object>)
  data (map<string, object>, required)
  elements (ElementCreateRequest[])
  durationBasis (Enum years | months | weeks | days | hours)
  preferences (PreferencesResponse)
  delinquencyPlanName (string)
  autoRenewalPlanName (string)
  billingLevel (Enum account | inherit | policy)
  region (string)
  quoteGroupLocator (ulid)
  static (map<string, object>)
  contacts (ContactRoles[], required)
  invoiceFeeAmount (number, required)
  termDuration (integer)
  producerCode (string)

ElementCreateRequest
Properties:
  type (string, required)
  parentLocator (ulid)
  elements (ElementCreateRequest[])
  coverageTerms (map<string, object>)
  data (map<string, object>)
  staticLocator (ulid)

QuoteUpdateRequest
Properties:
  setData (map<string, object>, required)
  removeData (map<string, object>, required)
  setCoverageTerms (map<string, object>, required)
  removeCoverageTerms (map<string, object>, required)
  currency (string, required)
  timezone (string, required)
  startTime (datetime, required)
  endTime (datetime, required)
  resetEndTime (boolean, required)
  expirationTime (datetime, required)
  elements (ElementUpdateRequest[], required)
  preferences (PreferencesResponse, required)
  delinquencyPlanName (string, required)
  autoRenewalPlanName (string, required)
  billingLevel (Enum account | inherit | policy, required)
  setContacts (ContactRoles[], required)
  removeContacts (ulid[], required)
  invoiceFeeAmount (number, required)
  jurisdiction (string)
  producerCode (string)
  accountLocator (ulid, required)

ElementUpdateRequest
Properties:
  locator (ulid, required)
  setData (map<string, object>, required)
  removeData (map<string, object>, required)
  setCoverageTerms (map<string, object>, required)
  removeCoverageTerms (map<string, object>, required)

ValidationResult
Properties:
  validationItems (ValidationItemResponse[])
  success (boolean, required)

ValidationItemResponse
Properties:
  elementType (string, required)
  locator (ulid, required)
  errors (string[], required)

QuotePriceResponse
Properties:
  tenantLocator (uuid, required)
  quoteLocator (ulid, required)
  accountLocator (ulid, required)
  quoteState (Enum draft | validated | earlyUnderwritten | priced | underwritten | accepted | issued | underwrittenBlocked | declined | rejected | refused | discarded, required)
  productName (string, required)
  startTime (datetime, required)
  endTime (datetime, required)
  duration (number, required)
  durationBasis (Enum years | months | weeks | days | hours, required)
  items (PolicyChargeResponse[], required)
  quoteNumber (string)
  validationResult (ValidationResult)

ChargeResponse
Properties:
  locator (ulid, required)
  amount (number, required)
  currency (string, required)
  chargeCategory (Enum none | premium | tax | fee | credit | invoiceFee | cededPremium | nonFinancial | surcharge, required)
  chargeType (string, required)
  chargeInvoicing (Enum scheduled | next | immediate, required)
  accountLocator (ulid, required)
  tag (string)
  policyLocator (ulid)
  transactionLocator (ulid)
  elementLocator (ulid)
  elementStaticLocator (ulid)
  reversalOfLocator (ulid)
  bundleTransactionLocator (ulid)

QuoteUnderwritingResponse
Properties:
  tenantLocator (uuid, required)
  quoteLocator (ulid, required)
  accountLocator (ulid, required)
  quoteState (Enum draft | validated | earlyUnderwritten | priced | underwritten | accepted | issued | underwrittenBlocked | declined | rejected | refused | discarded, required)
  productName (string, required)
  startTime (datetime, required)
  endTime (datetime, required)
  duration (number, required)
  durationBasis (Enum years | months | weeks | days | hours, required)
  underwritingStatus (string, required)
  underwritingFlags (UnderwritingFlagResponse[], required)
  validationResult (ValidationResult)

QuoteUnderwritingFlagsResponse
Properties:
  quoteLocator (ulid, required)
  flags (UnderwritingFlagResponse[], required)
  clearedFlags (UnderwritingFlagResponse[])

UnderwritingFlagResponse
Properties:
  locator (ulid, required)
  level (Enum info | block | decline | reject | approve, required)
  referenceType (Enum quote | transaction, required)
  referenceLocator (ulid, required)
  note (string, required)
  tag (string, required)
  elementLocator (ulid)
  createdBy (uuid, required)
  createdTime (datetime, required)
  clearedBy (uuid, required)
  clearedTime (datetime, required)
  taskCreationResponse (TaskCreationResponse, required)

UnderwritingFlagsUpdateRequest
Properties:
  addFlags (UnderwritingFlagCreateRequest[], required)
  clearFlags (ulid[], required)

UnderwritingFlagCreateRequest
Properties:
  level (Enum info | block | decline | reject | approve, required)
  note (string, required)
  tag (string, required)
  elementLocator (ulid, required)
  taskCreation (UnderwritingTaskCreateRequest, required)

UnderwritingTaskCreateRequest
Properties:
  type (string, required)
  references (TaskReference[], required)
  underwritingFlagLocators (ulid[], required)
  deadlineTime (datetime)
  assignedTo (uuid)
  description (string)
  workgroupToBeAssignedLocator (ulid)
  source (string)
  tag (string)

QuoteGroupCreateRequest
Properties:
  name (string, required)
  quoteGroupNumber (string, required)
  settings (QuoteGroupSettings, required)
  quoteLocators (ulid[], required)
  preferredQuoteLocator (ulid, required)

QuoteGroupSettings
Properties:
  stateUniqueness (Enum draft | validated | earlyUnderwritten | priced | underwritten | accepted | issued | underwrittenBlocked | declined | rejected | refused | discarded, required)
  enforceProductUniformity (boolean, required) — default: false
  fieldEnforcementDeclarations (QuoteGroupFieldEnforcementDeclaration[], required)

QuoteGroupFieldEnforcementDeclaration
Properties:
  name (string, required)
  paths (map<string, string>, required)

QuoteGroupResponse
Properties:
  locator (ulid, required)
  name (string, required)
  quoteGroupNumber (string)
  quoteGroupState (Enum open | locked, required)
  settings (QuoteGroupSettings, required)
  createdAt (datetime, required)
  createdBy (uuid, required)
  quoteLocators (ulid[], required)
  preferredQuoteLocator (ulid)

ListPageResponseQuote
Properties:
  listCompleted (boolean, required)
  items (QuickQuoteQuoteDetails[], required)

ListPageResponseQuoteGroup
Properties:
  listCompleted (boolean, required)
  items (QuoteGroupResponse[], required)

QuoteGroupUpdateRequest
Properties:
  name (string, required)
  quoteGroupNumber (string, required)
  quotesToRemove (ulid[], required)
  quotesToAdd (ulid[], required)
  preferredQuoteLocator (ulid, required)
  resetPreferredQuote (boolean, required)

QuoteGroupValidationResponse
Properties:
  errors (string[], required)
  valid (boolean, required)

QuoteGroupAssignmentRequest
Properties:
  groupLocator (ulid, required)

StaticDataUpdateRequest
Properties:
  setData (map<string, object>, required)
  removeData (map<string, object>, required)

ListPageResponseStaticDataHistoryResponse
Properties:
  listCompleted (boolean, required)
  items (StaticDataHistoryResponse[], required)

StaticDataHistoryResponse
Properties:
  historyLocator (ulid, required)
  staticData (map<string, object>, required)
  updatedBy (uuid, required)
  updatedAt (datetime, required)

DocumentInstanceResponse
Properties:
  locator (ulid, required)
  referenceLocator (ulid, required)
  referenceType (Enum quote | policy | invoice | transaction | segment | term, required)
  referenceDocumentLocator (ulid)
  transactionLocator (ulid)
  segmentLocator (ulid)
  termLocator (ulid)
  policyLocator (ulid)
  name (string)
  staticName (string)
  documentInstanceState (Enum draft | dataReady | ready | dataError | renderError | conversionError | rendered, required)
  documentFormat (Enum csv | doc | docx | html | jpeg | jpg | pdf | text | txt | xls | xlsx | zip, required)
  metadata (map<string, object>, required)
  createdAt (datetime, required)
  createdBy (uuid)
  readyAt (datetime)
  renderingData (map<string, object>, required)
  processingErrors (string)
  external (boolean, required)
  category (string)
  consolidatedFrom (ulid[], required)
  consolidatedTo (ulid[], required)
  copyOnIssuance (boolean)

UpdateBillingLevelRequest
Properties:
  billingLevel (Enum account | inherit | policy, required)

ContactRoles
Properties:
  contactLocator (ulid, required)
  roles (string[], required)

ResetOptions
Properties:
  resetAllUnderwritingFlags (boolean, required)
  resetFlags (ulid[], required)
  resetFlagsAction (Enum clear | delete, required)
  deleteAllAutomaticDocuments (boolean, required)
  discardSchedules (boolean, required)
  deleteDocuments (ulid[], required)